package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class MapAngkaToHari
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "MapAngkaToHari_M")
public class MapAngkaToHariVO extends BaseMasterVO {
	@Caption(value="Format Angka")
	private Byte formatAngka;

	public void setFormatAngka(Byte formatAngka) {
		this.formatAngka = formatAngka;
	}

	@Column(name = "FormatAngka", nullable = false )
	public Byte getFormatAngka(){
		return this.formatAngka;
	}

	@Caption(value="Format Hari")
	private String formatHari;

	public void setFormatHari(String formatHari) {
		this.formatHari = formatHari;
	}

	@Column(name = "FormatHari", nullable = false , length = 10)
	public String getFormatHari(){
		return this.formatHari;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectMappingFk")
	@NotNull(message="Object Mapping Harus Diisi")
	@Caption(value="Object Mapping")
	private MapAngkaToBulanVO mapping;

	public void setMapping(MapAngkaToBulanVO mapping) {
		this.mapping = mapping;
	}

	@Column(name = "KdMapping", nullable = false )
	public MapAngkaToBulanVO getMapping(){
		return this.mapping;
	}

	@Column(name = "ObjectMappingFk", insertable=false,updatable=false)
	private Integer mappingId;

	@Caption(value="No Urut")
	private Byte noUrut;

	public void setNoUrut(Byte noUrut) {
		this.noUrut = noUrut;
	}

	@Column(name = "NoUrut", nullable = false )
	public Byte getNoUrut(){
		return this.noUrut;
	}

	@Caption(value="QMapping")
	private Byte qMapping;

	public void setqMapping(Byte qMapping) {
		this.qMapping = qMapping;
	}

	@Column(name = "QMapping", nullable = false )
	public Byte getqMapping(){
		return this.qMapping;
	}


}

